GrailsConsoleAntBuilder.GrailsConsoleLogger (Grails 6.0.0)

Package: org.grails.build.logging

## [Java] Class GrailsConsoleAntBuilder.GrailsConsoleLogger

- org.grails.build.logging.GrailsConsoleAntBuilder.GrailsConsoleLogger

-     private static class GrailsConsoleAntBuilder.GrailsConsoleLogger
      extends org.apache.tools.ant.DefaultLogger

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GrailsConsole` | `console` |
    `protected java.lang.String` | `targetName` | Name of the current target, if it should be displayed on the next message.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.apache.tools.ant.DefaultLogger` | `LEFT_COLUMN_SIZE`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `messageLogged(org.apache.tools.ant.BuildEvent event)` Logs a message for a target if it is of an appropriate priority, also logging the name of the target if this is the first message which needs to be logged for the target.
    `` | `public void` | `targetFinished(org.apache.tools.ant.BuildEvent event)` Resets the current target name to `null`.
    `` | `public void` | `targetStarted(org.apache.tools.ant.BuildEvent event)` Notes the name of the target so it can be logged if it generates any messages.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.apache.tools.ant.DefaultLogger` | `org.apache.tools.ant.DefaultLogger#setMessageOutputLevel(int), org.apache.tools.ant.DefaultLogger#setOutputPrintStream(java.io.PrintStream), org.apache.tools.ant.DefaultLogger#setErrorPrintStream(java.io.PrintStream), org.apache.tools.ant.DefaultLogger#setEmacsMode(boolean), org.apache.tools.ant.DefaultLogger#targetStarted(org.apache.tools.ant.BuildEvent), org.apache.tools.ant.DefaultLogger#targetFinished(org.apache.tools.ant.BuildEvent), org.apache.tools.ant.DefaultLogger#taskStarted(org.apache.tools.ant.BuildEvent), org.apache.tools.ant.DefaultLogger#taskFinished(org.apache.tools.ant.BuildEvent), org.apache.tools.ant.DefaultLogger#messageLogged(org.apache.tools.ant.BuildEvent), org.apache.tools.ant.DefaultLogger#buildStarted(org.apache.tools.ant.BuildEvent), org.apache.tools.ant.DefaultLogger#buildFinished(org.apache.tools.ant.BuildEvent), org.apache.tools.ant.DefaultLogger#wait(long), org.apache.tools.ant.DefaultLogger#wait(long, int), org.apache.tools.ant.DefaultLogger#wait(), org.apache.tools.ant.DefaultLogger#equals(java.lang.Object), org.apache.tools.ant.DefaultLogger#toString(), org.apache.tools.ant.DefaultLogger#hashCode(), org.apache.tools.ant.DefaultLogger#getClass(), org.apache.tools.ant.DefaultLogger#notify(), org.apache.tools.ant.DefaultLogger#notifyAll()`

- - ### Field Detail

    - #### protected GrailsConsole console

    - #### protected java.lang.String targetName

      Name of the current target, if it should be displayed on the next message. This is set when a target starts building, and reset to `null` after the first message for the target is logged.

  - ### Method Detail

    - #### @java.lang.Override public void messageLogged(org.apache.tools.ant.BuildEvent event)

      Logs a message for a target if it is of an appropriate priority, also logging the name of the target if this is the first message which needs to be logged for the target.

      Parameters:
        `event` - A BuildEvent containing message information. Must not be `null`.

    - #### @java.lang.Override public void targetFinished(org.apache.tools.ant.BuildEvent event)

      Resets the current target name to `null`.

      Parameters:
        `event` - Ignored in this implementation.

    - #### @java.lang.Override public void targetStarted(org.apache.tools.ant.BuildEvent event)

      Notes the name of the target so it can be logged if it generates any messages.

      Parameters:
        `event` - A BuildEvent containing target information. Must not be `null`.